Subject: Re: bug#18227: 24.3.92; Annoying warning message when emacs is built with lucid X toolkit

From: "Jan D." <[email-masked]>
Date: Wed, 15 Oct 2014 15:44:19 +0200

Hi.

Thierry Volpiatto skrev den 2014-10-15 14:22:
>
> Jan Djärv <[email-masked]> writes:
>
>> Hi.
>>
>>> 12 aug 2014 kl. 18:36 skrev Thierry Volpiatto <[email-masked]>:
>>>
>>> Jan Djärv <[email-masked]> writes:
>>>
>>>> That is because the old Xt-based toolkit don't understand Xft fonts
>>>> and still use core X fonts.  The font above is the default for the
>>>> Emacs widget, but you don't have it installed.  Emacs actually never
>>>> uses the default, so we can remove it (done in trunk).  I guess at
>>>> some point we did use the default, but no more.
>>>
>>> Thanks for explanations, would be great to merge your change in emacs-24
>>> branch.
>>>
>>
>> It is not a regression.
>
> I don't understand this.

The same issue is in emacs 23 and 24.3 so it is not a new issue.

>
> Sorry to insist, but it is not serious releasing emacs-24.4 with such a
> bug, for memory:
>
> Warning: Cannot convert string
> "-*-courier-medium-r-*-*-*-120-*-*-*-*-iso8859-*" to type FontStruct

How is this serious?  It is just a warning, a cosmetic issue.
Have you ever started a Gtk+ application from the command line, or a 
python script?  They often show many warnings, Gtk+ messages also tend 
to say "Critical".  I don't think this is a showstopper.

	Jan D.